commit: ec399d9868227d0a012e95a8fe88799437590f84
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 13 11:31:21 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 13 11:33:16 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec399d98
dev-python/setuptools: Reenable py2.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/setuptools/setuptools-46.2.0.ebuild | 7 ++++---
profiles/package.mask | 2 +-
2 files changed, 5 insertions(+), 4 deletions(-)
diff --git a/dev-python/setuptools/setuptools-46.2.0.ebuild
b/dev-python/setuptools/setuptools-46.2.0.ebuild
index ff041cbacee..ef030388abe 100644
--- a/dev-python/setuptools/setuptools-46.2.0.ebuild
+++ b/dev-python/setuptools/setuptools-46.2.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=no
-PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
PYTHON_REQ_USE="xml(+)"
inherit distutils-r1
@@ -48,8 +48,9 @@ python_prepare_all() {
# don't run integration tests
rm setuptools/tests/test_integration.py || die
- # xpass-es for me
- sed -i -e '/xfail.*710/d' setuptools/tests/test_archive_util.py || die
+ # xpass-es for me on py3
+ sed -e '/xfail.*710/s:(:(six.PY2, :' \
+ -i setuptools/tests/test_archive_util.py || die
# avoid pointless dep on flake8
sed -i -e 's:--flake8::' pytest.ini || die
diff --git a/profiles/package.mask b/profiles/package.mask
index 97708f1d6eb..55bb1aa73e3 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -834,7 +834,7 @@ www-plugins/passff
# The new version loses Python 2 support but does not introduce any real
# changes. Let's mask it to reduce the noise, and hopefully try to get
# python2_7 out of default PYTHON_TARGETS first.
->=dev-python/setuptools-45.0.0
+~dev-python/setuptools-46.1.3
# Mikle Kolyada <[email protected]> (2020-01-13)
# Current versioning breaks portage logic and prevents